/*->h.constants */



/* event numbers */

#define EVENT_FOPEN               0x1
#define EVENT_FCLOSE              0x2

#define EVENT_RUNPROGRAM          0x3
#define EVENT_ENDPROGRAM          0x4

#define EVENT_VOPEN               0x5
#define EVENT_VCLOSE              0x6

#define EVENT_FPRESAVE            0x7

#define EVENT_FONTSCHANGED        0x8

                                 
#define EVENT_CREATESECTIONMAP    0x9
#define EVENT_UPDATESECTIONMAP    0xA

#define EVENT_REFLOWPAGES         0xB

#define EVENT_QUITMASTER          0xC
#define EVENT_GOMASTER            0xD

#define EVENT_OBJECTSELECTED0     0xE
#define EVENT_OBJECTSELECTED1     0xF
#define EVENT_OBJECTDESELECTED0   0x10
#define EVENT_OBJECTDESELECTED1   0x11

#define EVENT_SELECTALL           0x12
#define EVENT_CLEARSELECTION      0x13
#define EVENT_COPYSELECTION       0x14
#define EVENT_DELETESELECTION     0x15
#define EVENT_CUTSELECTION        0x16
#define EVENT_PASTE               0x17
#define EVENT_EMBED               0x18

#define EVENT_RUNPROGRAM2         0x19

#define EVENT_MODIFYSELECTION     0x1A
#define EVENT_TRANSFORMSELECTION  0x1B
#define EVENT_TEXTFLOWSELECTION   0x1C
#define EVENT_SELECTIONDELETED    0x1D
#define EVENT_MASTERSELECTION     0x1E
#define EVENT_LOCALSELECTION      0x1F

#define EVENT_ROTANGLE            0x20
#define EVENT_ROTSTART            0x21
#define EVENT_ROTDO               0x22

#define EVENT_PASTESELECTION      0x23
#define EVENT_ZOOM                0x24

#define EVENT_CONTENTNAME         0x25
#define EVENT_CONTENTMENU         0x26
#define EVENT_CONTENTSELECTEDNAME 0x27
#define EVENT_PASTENAME           0x28
#define EVENT_CONTENTBOX          0x29

#define EVENT_INITSELECT          0x2A
#define EVENT_SAVEPOSN            0x2B
#define EVENT_PREFERENCES         0x2C


#define EVENT_EXPORTNAME          0x2D
#define EVENT_EXPORTBOX           0x2E

#define EVENT_ROTCHANGE           0x2F



#define EVENT_DSSAVE0             0x30
#define EVENT_DSSAVE1             0x31
#define EVENT_DSSAVE2             0x32
#define EVENT_DSSAVE3             0x33
#define EVENT_DSSAVE4             0x34
#define EVENT_DSSAVE5             0x35
#define EVENT_DSSAVE6             0x36
#define EVENT_DSSAVE7             0x37
#define EVENT_DSSAVE8             0x38
#define EVENT_DSSAVEF             0x3F


#define EVENT_MKSTYLE0            0x40
#define EVENT_MKSTYLE1            0x41
#define EVENT_MKSTYLE2            0x42
#define EVENT_MKSTYLE3            0x43
#define EVENT_MKSTYLE4            0x44
#define EVENT_MKSTYLE5            0x45
#define EVENT_MKSTYLE6            0x46
#define EVENT_MKSTYLE7            0x47
#define EVENT_MKSTYLE8            0x48
#define EVENT_MKSTYLEF            0x4F


#define EVENT_NEWDOC0             0x50
#define EVENT_NEWDOC1             0x51
#define EVENT_NEWDOC2             0x52
#define EVENT_NEWDOC3             0x53
#define EVENT_NEWDOC4             0x54
#define EVENT_NEWDOC5             0x55
#define EVENT_NEWDOC6             0x56
#define EVENT_NEWDOC7             0x57
#define EVENT_NEWDOC8             0x58
#define EVENT_NEWDOC9             0x59
#define EVENT_NEWDOCA             0x5A
#define EVENT_NEWDOCF             0x5F


#define EVENT_BAREDOC0            0x60
#define EVENT_BAREDOC1            0x61
#define EVENT_BAREDOC2            0x62
#define EVENT_BAREDOC3            0x63
#define EVENT_BAREDOC4            0x64
#define EVENT_BAREDOC5            0x65
#define EVENT_BAREDOC6            0x66
#define EVENT_BAREDOC7            0x67
#define EVENT_BAREDOC8            0x68
#define EVENT_BAREDOCF            0x6F


#define EVENT_LOADSTYLE0          0x70
#define EVENT_LOADSTYLE1          0x71
#define EVENT_LOADSTYLE2          0x72
#define EVENT_LOADSTYLE3          0x73
#define EVENT_LOADSTYLE4          0x74
#define EVENT_LOADSTYLE5          0x75
#define EVENT_LOADSTYLE6          0x76
#define EVENT_LOADSTYLE7          0x77
#define EVENT_LOADSTYLE8          0x78
#define EVENT_LOADSTYLEF          0x7F



#define EVENT_DRAWINIT            0x90
#define EVENT_CHOICES             0x91

#define EVENT_MODIFYSELECTION0    0x92
#define EVENT_MODIFYSELECTION1    0x93

#define EVENT_TRANSFORMSELECTION0 0x94
#define EVENT_TRANSFORMSELECTION1 0x95

#define EVENT_TEXTFLOWSELECTION0  0x96
#define EVENT_TEXTFLOWSELECTION1  0x97

#define EVENT_ROTLOCK             0x98


#define EVENT_TRANSFORMSELECTIONR0 0x99
#define EVENT_TRANSFORMSELECTIONR1 0x9A

#define EVENT_SHAPESELECTION0      0x9B
#define EVENT_SHAPESELECTION1      0x9C

#define EVENT_MOVESELECTION0       0x9D
#define EVENT_MOVESELECTION1       0x9E

#define EVENT_FSCRAP               0x9F



#define EVENT_PRGOPRINTER0         0x100
#define EVENT_PRGOPRINTER1         0x101
#define EVENT_PRGONORMAL0          0x102
#define EVENT_PRGONORMAL1          0x103
#define EVENT_PRSTARTPAGE          0x104
#define EVENT_PRENDPAGE            0x105
#define EVENT_PRSTARTCOPY          0x106
#define EVENT_PRENDCOPY            0x107
#define EVENT_PRSTARTRECORD        0x108
#define EVENT_PRENDRECORD          0x109
#define EVENT_PRSTARTJOB           0x10A
#define EVENT_PRENDJOB             0x10B
#define EVENT_PRSTART              0x10C
#define EVENT_PREND                0x10D
#define EVENT_PRCACHE0             0x10E
#define EVENT_PRCACHE1             0x10F
#define EVENT_PRCOPIES             0x110
#define EVENT_PRSTARTSEPARATION    0x111
#define EVENT_PRENDSEPARATION      0x112
#define EVENT_PRSTARTPICT          0x113
#define EVENT_PRENDPICT            0x114
#define EVENT_PRCHANGE             0x115
#define EVENT_PRPAGECHANGE         0x116
#define EVENT_PRMARKS              0x117
#define EVENT_PRSTARTPAPER         0x118
#define EVENT_PRENDPAPER           0x119
#define EVENT_PRCOPIES2            0x11A
#define EVENT_PRPXSTART            0x11B
#define EVENT_PRPXEND              0x11C



#define EVENT_SHIFTSELECTION0      0x120
#define EVENT_SHIFTSELECTION1      0x121

#define EVENT_CANCOPYSELECTION     0x130
#define EVENT_CANDELETESELECTION   0x131
#define EVENT_CANPASTESELECTION    0x132

#define EVENT_GETCOLOUR            0x133
#define EVENT_SETCOLOUR            0x134

#define EVENT_GLOBALPASTE          0x135
#define EVENT_SETCLIPBOARD         0x136
#define EVENT_SETNOCLIPBOARD       0x137


#define EVENT_DELINKPAGE           0x140
#define EVENT_DRELINK              0x141


#define EVENT_PREFERENCES0         0x150
#define EVENT_PREFERENCES1         0x151
#define EVENT_CHOICESSAVE          0x152
#define EVENT_PREFERENCESSAVE      0x153
#define EVENT_COLOURCHANGE         0x154
#define EVENT_BUTTONLOAD           0x155



#define EVENT_DOCINIT0             0x200
#define EVENT_DOCINIT1             0x201
#define EVENT_DOCINIT2             0x202



#define EVENT_FILEMODIFIED         0x210
#define EVENT_FILESAVED            0x211
#define EVENT_CARET                0x212
#define EVENT_VIEWCLICK            0x213
#define EVENT_VOPENPOST            0x214
#define EVENT_ACTIVEVIEW           0x215
#define EVENT_CURRPAGE             0x216

#define EVENT_DDLSTART             0x217
#define EVENT_DDLEND               0x218

#define EVENT_CLEARSELECTION0      0x220
#define EVENT_CLEARSELECTION1      0x221
#define EVENT_DELETESELECTION0     0x222
#define EVENT_DELETESELECTION1     0x223
#define EVENT_COPYSELECTION0       0x224
#define EVENT_COPYSELECTION1       0x225
#define EVENT_PASTESELECTION0      0x226
#define EVENT_PASTESELECTION1      0x227
#define EVENT_PASTECLICK0          0x228
#define EVENT_PASTECLICK1          0x229
#define EVENT_CUTSELECTION0        0x22A 
#define EVENT_CUTSELECTION1        0x22B


#define EVENT_KEYPRESS             0x300
#define EVENT_INSTEXT0             0x301
#define EVENT_INSTEXT1             0x302
#define EVENT_FONTMISSING          0x303
#define EVENT_TEXTUPDATE           0x304
#define EVENT_USERSTYLECHANGE      0x305
#define EVENT_BEEP                 0x306
#define EVENT_FILENOREAD           0x307
#define EVENT_FILEWRITEFAIL        0x308
#define EVENT_FILESCRAP            0x309
#define EVENT_NONRECTCLIP          0x30A
#define EVENT_DOCLIP               0x30B
#define EVENT_SPELLCHECK           0x30C
#define EVENT_MERGESTART           0x310
#define EVENT_MERGEFINISH          0x311
#define EVENT_MERGEDATA            0x312
#define EVENT_MERGESTRIP           0x313
#define EVENT_MERGECLEAR           0x314
#define EVENT_NEWDEFAULT           0x315




#define EVENT_FILLCHANGE0          0x400
#define EVENT_FILLCHANGE1          0x401

// Win events

#define EVENT_EXPORTBOX2           0x500
#define EVENT_CONTENTMENUNAME      0x501
#define EVENT_PICTOBJECTCHANGE     0x502
#define EVENT_SUBTOOL              0x503

                                   
#define EVENT_PSHEADER0            0x510
#define EVENT_PSHEADER1            0x511
#define EVENT_PSPROLOG0            0x512
#define EVENT_PSPROLOG1            0x513
#define EVENT_PSSETUP0             0x514
#define EVENT_PSSETUP1             0x515
#define EVENT_PSTRAILER0           0x516
#define EVENT_PSTRAILER1           0x517
#define EVENT_PSPAGE0              0x518
#define EVENT_PSPAGE1              0x519
#define EVENT_PSPAGETRAILER0       0x51A
#define EVENT_PSPAGETRAILER1       0x51B
#define EVENT_PSPAGESETUP0         0x51C
#define EVENT_PSPAGESETUP1         0x51D
#define EVENT_PSSTARTPICT          0x51E
#define EVENT_PSENDPICT            0x51F
#define EVENT_PSNEEDED             0x520
#define EVENT_PSSUPPLIED           0x521


#define EVENT_TXUNICODE            0x540

#define EVENT_TESTCOMPATABILITY				0x541

#define EVENT_NEWCOLOURMODEL							0x542






/* clip board types */

#define CLIP_EMPTY               (-1)
#define CLIP_OBJECT              0x0
#define CLIP_PIXCONTENTS         0x1
#define CLIP_TEXTCONTENTS        0x2
#define CLIP_GLOBAL              0x3
#define CLIP_SECTION             0x4


/* object messages */

#define OM_EDITPATH    0x1000
#define OM_EDITCHANGE  0x1001

#define OM_PICTBOX     0x2000

#define OM_REMAPSTYLES 0x3000

#define OM_RELINK       0x4000
#define OM_FUNCTION     0x4001
#define OM_FINDMASTER   0x4003
#define OM_REFLOW       0x4004
#define OM_MRELINK      0x4005
#define OM_DELEMBED     0x4006
#define OM_PAGENOREFLOW 0x4007
#define OM_PLINK        0x4008
#define OM_RELINKOM     0x4009
#define OM_MBREAKLINK   0x400A
#define OM_MREMAKELINK  0x400B
#define OM_FUNCTION2    0x400C
#define OM_REFLOW2      0x400D
#define OM_DLINK        0x400E


#define OM_BORDERTYPE   0x5000
#define OM_NEWBORDER    0x5001
#define OM_CHANGESIZE   0x5002
#define OM_SNAPBOX      0x5003
#define OM_PAGESIZE     0x5004

#define OM_SETFILL      0x5005
#define OM_GETFILL      0x5006
#define OM_SETPROCESS   0x5007
#define OM_GETPROCESS   0x5008

#define OM_GETCOLOUR    0x5009
#define OM_SETCOLOUR    0x500A
#define OM_PXLISTFONT   0x500B

#define OM_COMPATABILITY 0x500C


#define OM_DSSAVE      0x6000
#define OM_DSNAME      0x6001
#define OM_DSSECT      0x6002
#define OM_DSLOC       0x6003

#define OM_PRCACHE     0x7000




/* tool numbers */

#define TL_SELECT       0x1
#define TL_ROTATE       0x2
#define TL_FRAME        0x3
#define TL_DIAGRAM      0x4
#define TL_RECTANGLE    0x5
#define TL_ELLIPSE      0x6
#define TL_CURSEG       0x7
#define TL_STRSEG       0x8
#define TL_MAGNIFY      0x9
#define TL_LINK         0xA
#define TL_PATHEDIT     0xB
#define TL_PASTE        0xC
#define TL_CROP         0xD

#define TL_GRAB         0x20
#define TL_FILL         0x21






/* object numbers */

#define OFILEHDR  0x1000
#define OCOLOUR   0x1001
#define OSECTION  0x1002
#define OPAGE     0x1003
#define OLINE     0x1004
#define OGROUP    0x1005
#define OHEADER   0x1006
#define OFOOTER   0x1007
#define OTEXTVBOX 0x1008
#define OTEXTBOX  0x1009
#define OPICTURE  0x100A
#define OPICTBOX  0x100B
#define OPATH     0x100C
#define OASTYLE   0x100D
#define OSOURCE   0x100E
#define OVSOURCE  0x100F
#define OCSTYLE   0x1010
#define OTABS     0x1011
#define OFLOW     0x1012
#define OSPELL    0x1013
#define ODICT     0x1014
#define OBUFFER   0x1015
#define OPRINT    0x1016
#define OFONTMAP  0x1017
#define OPREF     0x1018
#define OGLINE    0x1019
#define OINDEXCON 0x101A
#define OBORDER   0x101B
#define OUSTYLE   0x101C
#define OTXSCRAP  0x101D
#define OBMS      0x101E
#define OFILL     0x101F
#define OCOLSEPS  0x1020
#define OPROCESS  0x1021
#define OTAG      0x1022
#define OFIELDS   0x1023
#define OPXCACHE  0x1024
#define OPXNAME   0x1025
#define ODICT2    0x1026


#define OUNDO     0x2000




/* Beeps */


#define SPERRBEEP 0x100
#define SPOKBEEP  0x101
#define FINDBEEP  0x102
#define AUTOSBEEP 0x103






