/*->c.dbdup */



#include "stdafx.h"

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#include <locale.h>

#include "os.h"
#include "wimp.h"
#include "wimpt.h"
#include "werr.h"
#include "akbd.h"
#include "transform.h"
#include "etc.h"

#include "wos.h"
#include "err.h"
#include "xext.h"
#include "poll.h"
#include "key.h"
#include "temp.h"
#include "trans.h"

#include "dbhi.h"
#include "mhi.h"


#include "str.h"
#include "reslink.h"
#include "units.h"
#include "object.h"

#include "file.h"
#include "view.h"
#include "select.h"

#include "dbscale.h"

#include "dbdup.h"



/*****************************************************************************/


static filestr * cfile;
static viewstr * cview;


static int times=1;
static int vert=3*MMSIZE;
static int horiz=3*MMSIZE;


#ifdef NEVER

static os_error * dupicon(int handle,int userhandle,wimp_mousestr * m)
{
 os_error * err;

 err=NULL;

 switch(m->i)
 {


 }

 USE(handle);
 USE(userhandle);

 return(err);
}


#endif

static os_error * dupclose(int code)
{
 os_error * err;

 err=NULL;

 if(code==DBOK || code==DBAPPLY)
 {
  err=duplicateselection(cfile,times,horiz,vert);
 }
 return(err);
}


static os_error * outu(int value,char * string)
{
 strcpy(string,unitstostring(value,cview->data.units));
 return(NULL);
}


static os_error * inu(int * value,char * string)
{
 return(stringtounits(string,value,cview->data.units));
}


static os_error * out(int value,char * string)
{
 strcpy(string,numbertostring(value));
 return(NULL);
}


static os_error * in(int * value,char * string)
{
 return(stringtonumber(string,value));
}



static dbiconstr dupicondefs[]=
{
 /* N   &V           Type     Grp   Flags   R   L   D   U     In    Out */

    8,  &times,     DBWRITE,  0,   DBASSOCINC,      -1, -1, 3, -1,    in,   out,
    3,  &times,     DBINC,    0,   0,       1, -1, 99, 1,    NULL,0,
    9,  &times,     DBDEC,    0,   0,       1, -1, 99, 1,    NULL,0,

    5,  &vert,      DBWRITE,  0,   0,      -1, -1, 5,  1,    inu,  outu,
    7,  &horiz,     DBWRITE,  0,   0,      -1, -1,-1,  3,    inu,  outu,

    1, NULL,        DBACTION, 0,   0,      DBOK,RETURN, 0,0,    NULL, 0,
    2, NULL,        DBACTION, 0,   0,      DBCANCEL,ESCAPE, 0,0,NULL, 0,

   -1, NULL,         0,       0,    0,      0,  0,  0,  0,  0,      0
};



static dboxstr dupbox=
{
 0,
 TDUPLICATE,
 DBFIX,
 0,
 dupclose,
 NULL, //dupicon,
 NULL,
 NULL,
 dupicondefs,
 0,
 0,
 0,NULL,
 0,
 0,
};


void openduplicatebox(int fp)
{

 cfile=menufile;
 cview=menuview;

 if(nselected(NULL,cfile))
 {
  report(dodboxspparent(&dupbox,1,&dupbox,&dbviewstack,cview->handle));
 }

 USE(fp);
}




void xduplicateselection(int fp)
{
 int xtimes;

 xtimes=stack[fp];
 if(xtimes<0) zreport(duplicateselection(menufile,-xtimes,horiz,vert));
 else
 if(xtimes==0)
 {
  horiz=stack[fp+1];
  vert=stack[fp+2];
 }
 else         zreport(duplicateselection(menufile,xtimes,
                                              stack[fp+1],stack[fp+2]));

}



