/*->c.dbfile */



#include "stdafx.h"

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>
#include <locale.h>
#include <math.h>

#include "os.h"
#include "wimp.h"
#include "wimpt.h"
#include "werr.h"
#include "akbd.h"
#include "bbc.h"
#include "flex.h"
#include "key.h"
#include "transform.h"
#include "deb.h"


#include "wos.h"

#include "poll.h"
#include "xext.h"
#include "save.h"
#include "load.h"
#include "fsx.h"
#include "err.h"
#include "temp.h"
#include "timex.h"
#include "bits.h"
#include "bf.h"
#include "etc.h"
#include "trans.h"
#include "alloc.h"
#include "scrap.h"

//#include "mhi.h"


#include "constants.h"
#include "str.h"
#include "reslink.h"


#include "view.h"
#include "file.h"


#include "gpbox.h"



static int  gpbox1handle;
static char gpfn1[64];

static os_error * gpbox1close(int handle,int userhandle);



static os_error * gpbox1click(int handle,int userhandle,wimp_mousestr * m)
{
 int    code;

 code=0;

 if(m->i==1) code=1;
 else
 if(m->i==2) code=2;

 if(code)
 {
  gpbox1close(handle,code);
 }

 return(NULL);

 USE(userhandle);
 USE(m);
}


static os_error * gpbox1close(int handle,int userhandle)
{
 int    result;
 char   string[256];

 
 readicon(handle,3,string,sizeof(string));
 remcloseevent(gpbox1close,handle,0);
 remparentcloseevent(gpbox1close,handle,0);
 remclickevent(gpbox1click,handle,0);
 closedown(&handle);
 gpbox1handle=0;
 xexec(gpfn1,&result,"IS",userhandle,string);

 return(NULL);
}





// void gpbox1(string & title,string & caption,string value,string function);
// function prototype 
// void function(int code,string value)


void gpbox1(int fp)
{
 os_error * err;

 if(gpbox1handle) gpbox1close(gpbox1handle,0);

 err=createwindowtitleparent(TGPBOX1,stringptr(stack[fp]),&gpbox1handle,menuview->handle);
 if(!err)
 {
  writeiconf(gpbox1handle,0,"%s",stringptr(stack[fp+1]));
  writeiconf(gpbox1handle,3,"%s",stringptr(stack[fp+2]));
  strcpy(gpfn1,stringptr(stack[fp+3]));
  addclickevent(gpbox1click,gpbox1handle,0);
  addcloseevent(gpbox1close,gpbox1handle,0);
  addparentcloseevent(gpbox1close,gpbox1handle,0);

  popup(gpbox1handle,0);
  iecarrot(gpbox1handle,3);
 }

 zreport(err);
}







/*****************************************************************************/



static int  gpbox2handle;
static char gpfn2[64];

static os_error * gpbox2close(int handle,int userhandle);



static os_error * gpbox2click(int handle,int userhandle,wimp_mousestr * m)
{
 int    code;

 code=0;

 if(m->i==1) code=1;
 else
 if(m->i==2) code=2;

 if(code)
 {
  gpbox2close(handle,code);
 }

 return(NULL);

 USE(userhandle);
 USE(m);
}


static os_error * gpbox2close(int handle,int userhandle)
{
 int    result;
 char   string1[256];
 char   string2[256];

 readicon(handle,3,string1,sizeof(string1));
 readicon(handle,6,string2,sizeof(string2));

 remcloseevent(gpbox2close,handle,0);
 remparentcloseevent(gpbox2close,handle,0);
 remclickevent(gpbox2click,handle,0);
 closedown(&handle);
 gpbox2handle=0;
 xexec(gpfn2,&result,"ISS",userhandle,string1,string2);

 return(NULL);
}







// void gpbox2(string & title,string & caption,string & value,string & value,string & function);
// function prototype 
// void function(int code,string value)


void gpbox2(int fp)
{
 os_error * err;

 if(gpbox2handle) gpbox2close(gpbox2handle,0);

 err=createwindowtitleparent(TGPBOX2,stringptr(stack[fp]),&gpbox2handle,menuview->handle);
 if(!err)
 {
  writeiconf(gpbox2handle,0,"%s",stringptr(stack[fp+1]));
  writeiconf(gpbox2handle,3,"%s",stringptr(stack[fp+2]));
  writeiconf(gpbox2handle,5,"%s",stringptr(stack[fp+3]));
  writeiconf(gpbox2handle,6,"%s",stringptr(stack[fp+4]));

  strcpy(gpfn2,stringptr(stack[fp+5]));
  addclickevent(gpbox2click,gpbox2handle,0);
  addcloseevent(gpbox2close,gpbox2handle,0);
  addparentcloseevent(gpbox2close,gpbox2handle,0);

  popup(gpbox2handle,0);
  iecarrot(gpbox2handle,3);
 }

 zreport(err);
}




/*****************************************************************************/



static int  gpbox4handle;
static char gpfn4[64];

static os_error * gpbox4close(int handle,int userhandle);



static os_error * gpbox4click(int handle,int userhandle,wimp_mousestr * m)
{
 int    code;

 code=0;

 if(m->i==1) code=1;
 else
 if(m->i==2) code=2;

 if(code)
 {
  gpbox4close(handle,code);
 }

 return(NULL);

 USE(userhandle);
 USE(m);
}


static os_error * gpbox4close(int handle,int userhandle)
{
 int    result;
 char   string1[256];
 char   string2[256];
 char   string3[256];
 char   string4[256];


 readicon(handle,3,string1,sizeof(string1));
 readicon(handle,6,string2,sizeof(string2));
 readicon(handle,8,string3,sizeof(string3));
 readicon(handle,10,string4,sizeof(string4));

 remcloseevent(gpbox4close,handle,0);
 remparentcloseevent(gpbox4close,handle,0);
 remclickevent(gpbox4click,handle,0);
 closedown(&handle);
 gpbox4handle=0;
 xexec(gpfn4,&result,"ISSSS",userhandle,string1,string2,string3,string4);

 return(NULL);
}







// void gpbox4(string & title,string & caption1,string & caption2,string & caption3,string & caption4,string & value1,string & value2,string & value3,string & value4,string & function);
// function prototype 
// void function(int code,string value)


void gpbox4(int fp)
{
 os_error * err;

 if(gpbox4handle) gpbox4close(gpbox4handle,0);

 err=createwindowtitleparent(TGPBOX4,stringptr(stack[fp]),&gpbox4handle,menuview->handle);
 if(!err)
 {
  writeiconf(gpbox4handle,0,"%s",stringptr(stack[fp+1]));
  writeiconf(gpbox4handle,3,"%s",stringptr(stack[fp+2]));
  writeiconf(gpbox4handle,5,"%s",stringptr(stack[fp+3]));
  writeiconf(gpbox4handle,6,"%s",stringptr(stack[fp+4]));
  writeiconf(gpbox4handle,7,"%s",stringptr(stack[fp+5]));
  writeiconf(gpbox4handle,8,"%s",stringptr(stack[fp+6]));
  writeiconf(gpbox4handle,9,"%s",stringptr(stack[fp+7]));
  writeiconf(gpbox4handle,10,"%s",stringptr(stack[fp+8]));
  
  strcpy(gpfn4,stringptr(stack[fp+9]));
  addclickevent(gpbox4click,gpbox4handle,0);
  addcloseevent(gpbox4close,gpbox4handle,0);
  addparentcloseevent(gpbox4close,gpbox4handle,0);

  popup(gpbox4handle,0);
  iecarrot(gpbox4handle,3);
 }

 zreport(err);
}
