/*->h.pxref */



typedef struct pxtagstr
{
 int          len;
 int          tag;
} pxtagstr;



#define PXPROXYTAG 0x1

typedef struct pxproxytagstr
{
 int          len;
 int          tag;
 pxproxystr   proxy;

} pxproxytagstr;


#define PXPREF1TAG 0x2
#define PXPREF2TAG 0x3

typedef struct pxpreftagstr
{
 int          len;
 int          tag;
 char         name[1];

} pxpreftagstr;


typedef struct pxpreftagstaticstr
{
 int          len;
 int          tag;
 char         name[FILENAMELEN];

} pxpreftagstaticstr;







extern void     * pxfindtag(picturestr * picturep,int tagvalue);
extern os_error * pxtagsize(int picturekey,filestr * file,int type,int size);
extern os_error * pxreadtag(pxtagstr * dest,int type,int picturekey,
                                                           filestr * file);
extern os_error * pxwritetag(pxtagstr * src,int picturekey,filestr * file);



extern os_error * pxexpandpath(char * newpath,int newsize,char * oldpath,filestr * file);
extern os_error * pxreferencechanged(int pict,int picture,
                                              char * newname,filestr * file);
extern os_error * pxnewreference(int pict,int picture,char * newname,viewstr * view,filestr * file);

extern os_error * pxundorefchange(filestr * file);

extern os_error * pxmakereferenceabsolute(int pkey,filestr * sfile,filestr * dfile);
