


void bezdivide(bezier * p,bezier * a,bezier * b);


typedef os_error * (*bezflatfn)(int x0,int y0,int x1,int y1,void * data);


void bezflatten(bezier * p,int flatness,bezflatfn fn,void * data);


typedef os_error * (*bezlinefn)(int x,int y);

void bezline(bezier * p,int flatness,bezlinefn fn);

void bezline2(bezier * p,int flatness,bezlinefn fn,int incx,int incy);




#define DRAWEND      0     // end of path
#define DRAWPTR      1					// <ptr> ptr is continuation of path
#define DRAWMOVE     2     // move to (x,y), starts new subpath
#define DRAWMOVESUB  3     // move to (x,y), start new sub path doesn't affect winding
#define DRAWCLOSEGAP 4     // close sub path with gap
#define DRAWCLOSE    5 				// close sub path with line
#define DRAWCURVE    6     // bezier curve to (x3,y3) with 2 control points
#define DRAWMOVEGAP  7     // move to (x,y), does not start sub path
#define DRAWDRAW     8     // line to (x,y)



os_error * draw_flatten(int * s,int ** dest,int flatness);
os_error * draw_dash(int * s,int ** dest,int * dash);
os_error * draw_thicken(int * s,int ** dest,int thickness,int * caps);
os_error *	draw_bounds(int * path,coordstr * cx);
int draw_copy(int * src,int * dest,int destsize);
