/*->h.xprint */

extern int inprinter; /* in printer code      */
//extern int isprinter; /* redraw is to printer */

extern int printqueue; /* number of queued docs */


extern int printmode;
extern int bleedsize;
extern int regthickness;
extern int printmemory;
extern int printbits;

extern int crophlength;
extern int crophstandoff;
extern int cropvlength;
extern int cropvstandoff;

extern int reghlength;
extern int regvlength;
extern int regradius;
extern int reghstandoff;
extern int regvstandoff;




#define PRB_INV56      0x1
#define PRB_GREY       0x2
#define PRB_MERGE      0x4
#define PRB_PRESCAN    0x8
#define PRB_CROPCHECK  0x10
#define PRB_FLAT       0x20
#define PRB_NOG        0x40
#define PRB_PSDIRECT   0x80



extern os_error * startprint(int direct,viewstr * view,filestr * file,
                                                              int branch);

extern int        printmargins(viewredrawstr * v);
extern int        printmarginsa(viewredrawstr * v,aboxstr * area);
extern os_error * redrawprint(viewredrawstr * v);

extern int        printermarks(filestr * file);
extern os_error * predregmarks(viewredrawstr * v,int w,int h,int hand);


extern os_error * printinit(void);

extern os_error * printdoc(char * filename);
extern void       xprintdoc(int fp);

extern void       printchoices(int fp);
extern void       printchoices2(int fp);
extern void       printchoices3(int fp);
extern void       printchoices4(int fp);

extern void       printmergebox(int fp);
extern void       setprintmode(int fp);
extern int        getprintmode(int fp);

extern int        getprintbits(void);
extern int        xgetprintbits(int fp);

extern int        prprints(int fp);
extern int        prinfo(int fp);
extern int        printerwidth(int fp);
extern int        printerheight(int fp);
extern int        paperwidth(int fp);
extern int        paperheight(int fp);




extern int        prpagew(int fp);
extern int        prpageh(int fp);
extern int        prpagex(int fp);
extern int        prpagey(int fp);
extern int        prpageshiftx(int fp);
extern int        prpageshifty(int fp);
extern int        prworkw(int fp);
extern int        prworkh(int fp);
extern int        prworkmaxw(int fp);
extern int        prworkmaxh(int fp);


extern void       paperaddformat(int fp);
extern int        paperformat(int fp);
extern void       paperfirstpage(int fp);
extern int        papernextpage(int fp);
extern void       paperpage(int fp);
extern void       paperpagescale(int fp);
extern int        paperpagewidth(int fp);
extern int        paperpageheight(int fp);
extern int        paperbleed(int fp);
extern void       paperarea(int fp);
extern void       paperpagearea(int fp);
extern int        paperxscale(int fp);
extern int        paperyscale(int fp);
extern int        paperbits(int fp);
extern int        papermarks(int fp);
extern void       papermaxarea(int fp);
extern int        papermarkx(int fp);
extern int        papermarky(int fp);
extern int        papercount(int fp);
extern int        prareax0(int fp);
extern int        prareay0(int fp);
extern int        prareax1(int fp);
extern int        prareay1(int fp);


extern int        getprintername(int fp);
extern void       setprintername(int fp);
extern int        getcurrentprinter(int fp);




extern os_error * chprintsave(buffer * bf);



extern os_error * printercachefont(char * name,int userfont,void ** cachehandle);
extern os_error * printercachecomplete(void);
extern os_error * printercachefontchar(int c1,int c2,void * cachehandle);

