/*->h.act */


extern vector     act;
extern vector     zon;
extern int        zone;     /* zone exists?                    */
extern vector   * lozon;  /* zone vector with lowest offset  */
extern vector   * hizon;  /* zone vector with highest offset */

extern absstylestr   txastyle;


extern os_error * resetactive(void);
extern os_error * setactive(vector * v);
extern os_error * makeactive(vector * s);
extern os_error * makeactive2(vector * v);
extern os_error * clearactive(void);
extern os_error * clearactiveff(int object,filestr * file);
extern os_error * txsaveact(filestr * file);


extern os_error * vectordown(vector * s,int oldx,int i,int * nr);
extern os_error * vectorup(vector * s,int oldx,int i,int * nr);


extern os_error * setupcaret(vector * v,absstylestr * astyle);

extern os_error * screenvector(vector * s,viewstr * view);
extern os_error * screencaret(vector * s);
extern os_error * setxa(vector * s);

extern os_error * txmodvec(vector * v);

extern os_error * refreshzone(vector * s1,vector * s2);
extern os_error * updatezone(vector * v,coordstr * cx,posnstr * posn);
extern os_error * setupzones(vector * s1,vector * s2,int pcaret);
extern os_error * setupzone(vector * s1,vector * s2);
extern os_error * setupzonehi(vector * s1,vector * s2);
extern os_error * unsaveact(void);

extern os_error * uninsertfx(int code);

extern os_error * unselects(int pcaret);
extern os_error * deleteselectedlo(void);
extern os_error * deleteselected(void);

extern os_error * selectword(vector * s);
extern os_error * selectword1(vector * s);
extern os_error * selectline(vector * s);
extern os_error * selectpara(vector * s);
extern os_error * selectall(vector * s);
extern os_error * extendzone(vector * s,coordstr * cx,posnstr * posn);
extern os_error * unselect(void);
extern os_error * nullzone(vector * s1,vector * s2,int * zero);
extern os_error * actinstext(char * string,int stringlen,int maxlen);
extern os_error * actstartdrag(void);

extern os_error * actinschar(int c,xstylestr * style);

extern os_error * delnextchar(int i);

extern os_error * textkey(int * key);
extern os_error * actionkey(int * key);

extern os_error * actinit(void);

extern void swopcases(int fp);
extern void uppercases(int fp);
extern void lowercases(int fp);
