/*->c.spchk */



#include "stdafx.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <signal.h>
#include <ctype.h>
#include <time.h>

#include "os.h"
#include "wimp.h"
#include "sprite.h"
#include "font.h"
#include "bbc.h"
#include "flex.h"
#include "alloc.h"
#include "werr.h"
#include "akbd.h"
#include "deb.h"

#include "fsx.h"
#include "bf.h"
#include "scanplus.h"
#include "bits.h"
#include "transform.h"
#include "wos.h"
#include "poll.h"
#include "hourglass.h"
#include "err.h"


#include "etc.h"

#include "xext.h"
#include "trans.h"
#include "conf.h"


#include "str.h"
#include "constants.h"
#include "reslink.h"


#include "obj.h"

#include "file.h"
#include "view.h"
#include "caret.h"
#include "undo.h"
#include "macros.h"
#include "utils.h"


#include "txstr.h"
#include "vec.h"
#include "find.h"
#include "act.h"
#include "tx.h"
#include "sx.h"
#include "codes.h"
#include "wcx.h"
#include "txext.h"
#include "txchoices.h"

#include "dc.h"
#include "spell.h"

#include "dbspchk.h"


#include "spchk.h"


/****************************************************************************/

int       guessdc;

       filestr * checkfile;
       viewstr * checkview;


static int wasoneshot;
static int checkdoc;





typedef os_error * (*checkfn)(char * string,vector * s,
                              int soffset,int eoffset,int * code);









static domainstr * fdomain(spellstr * spellp,int i,filestr * file)
{
 if(spellp->spdict[i].embedded) return(file->domain);
 else                           return(ddomain);
}


static int floaded(spellstr * spellp,int i)
{
 if(spellp->spdict[i].embedded) return(1);
 else
 return(dtable[spellp->spdict[i].index].loaded);
}


static int fobject(spellstr * spellp,int i)
{
 if(spellp->spdict[i].embedded) return(spellp->spdict[i].index);
 else
 return(dtable[spellp->spdict[i].index].dict);
}





#define MSPLIT 3


static void missingletter(char * string,int dict,domainstr * d,word * words)
{
 char * c;
 int    n;
 int    match=32;
 int    miss1;
 int    miss2;
 int    offset;
 char   work[32];
 char   * w;
 char   * s;
 dictstr     dp;
 int         m;

 dp=((odictstr*)ob_find(dict,d))->dict;

 offset=words->woffset+words->len;
 xzstrncpy(work,words->string,sizeof(work));
 c=spcharbuffer(dp.words,d,offset);

 n=*c;
 while(1)
 {
  work[n]=0;

  if(n>(match+1))
  {
   while(1)
   {
    c++;
    if((n=*c)<MINTOK)
    {
     if(n<ESCTOK) break;
    }
   }
  }
  else
  {
   while(1)
   {
    c++;
    if((n=*c)<MINTOK)
    {
     if(n<ESCTOK) break;
     else
     {
      m=strlen(work);
      c++;
      work[m++]=*c;
      work[m]=0;
     }
    }
    else
    {
     strcat(work,mfx[n]);
    }
   }

   match=miss1=miss2=0;
   w=work;
   s=string;

   while(1)
   {
    if(*w!=*s && toupper(*w)!=toupper(*s))
    {
/*     if(!*s) break;
     if(!*w) break;  */
  
     if(miss1 && miss2) break;
     else
     if(!miss1 && *w && *(w+1)==*s) {miss1=1;w++;match++;}
     else
     if(!miss2 && *s && *w==*(s+1)) {miss2=1;s++;}
     else
     if(!miss1 && !miss2) {miss1=miss2=1;w++;s++;match++;}
     else
     break;
    }
    else
    if(!*w)
    {
     offset=c-spcharbuffer(dp.words,d,0);
     addword(work,guessdc,ddomain);
     c=spcharbuffer(dp.words,d,offset);
     break;
    }
    else
    {
     match++;
     w++;
     s++;
    }
   }

  }

  if(match<MSPLIT) break;
 }
}









static void makeguess2(char * string,filestr * file)
{
 char       temp[64];
 word       words;
 int        len;
 int        lenx;
 int        i;
 int        j;
 int        k;
 int        flags;
 int        spellk;
 spellstr * spellp;
 int        nodc;


 spellk=file->hdr.spell;
 spellp=(spellstr*)fob_find(spellk,file);
 nodc=spellp->nodc;

 len=strlen(string);


 /* closest in dictionary */

 flags=0;

 for(i=0;i<nodc;i++)
 {
  if(floaded(spellp,i))
  {
   if(findwords(string,fobject(spellp,i),&words,&flags,fdomain(spellp,i,file)))
   {
    do
    {
     addword(words.string,guessdc,ddomain);
     spellp=(spellstr*)fob_find(spellk,file);
    } while(findnextword(string,fobject(spellp,i),&words,
                                             &flags,fdomain(spellp,i,file)));
   }
   else
   {
    if(toupper(string[0])==toupper(words.string[0]))
                                      addword(words.string,guessdc,ddomain);
    else
    {
     nextword(fobject(spellp,i),&words,fdomain(spellp,i,file));
     if(toupper(string[0])==toupper(words.string[0]))
     {
      addword(words.string,guessdc,ddomain);
      spellp=(spellstr*)fob_find(spellk,file);
     }
    }

   }
  }
 }


 /* permutations of letters */

 flags=0x20000;

 for(j=0;j<len-1;j++)
 {
  strcpy(temp,string);
  temp[j]=temp[j+1];
  temp[j+1]=string[j];

  for(i=0;i<nodc;i++)
  {
   if(floaded(spellp,i))
   {
    if(findwords(temp,fobject(spellp,i),&words,&flags,fdomain(spellp,i,file)))
    {
     do
     {
      addword(words.string,guessdc,ddomain);
      spellp=(spellstr*)fob_find(spellk,file);
     } while(findnextword(temp,fobject(spellp,i),
                                       &words,&flags,fdomain(spellp,i,file)));
     break;
    }
   }
  }
 }


 /* missing letters out */

 if(len>1)
 {
  for(j=0;j<len;j++)
  {
   for(i=0;i<=len;i++) temp[i-(i>j)]=string[i];

   for(i=0;i<nodc;i++)
   {
    if(floaded(spellp,i))
    {
     if(findwords(temp,fobject(spellp,i),
                                      &words,&flags,fdomain(spellp,i,file)))
     {
      do
      {
       addword(words.string,guessdc,ddomain);
       spellp=(spellstr*)fob_find(spellk,file);
      } while(findnextword(temp,fobject(spellp,i),
                                       &words,&flags,fdomain(spellp,i,file)));
      break;
     }
    }
   }
  }
 }


 /* adding extra letters */

 if(len>MSPLIT) lenx=MSPLIT; else lenx=len;

 for(k=0;k<=lenx;k++)
 {
  for(j=0;j<=len;j++) temp[j+(j>=k)]=string[j];

  for(j='a';j<='z';j++)
  {
   temp[k]=(char)j;
   for(i=0;i<nodc;i++)
   {
    if(floaded(spellp,i))
    {
     if(findwords(temp,fobject(spellp,i),&words,&flags,fdomain(spellp,i,file)))
     {
      do
      {
       addword(words.string,guessdc,ddomain);
       spellp=(spellstr*)fob_find(spellk,file);
      } while(findnextword(temp,fobject(spellp,i),
                                       &words,&flags,fdomain(spellp,i,file)));
     }
    }
   }
  }
 }


 /* wrong letters */

 for(k=0;k<=lenx;k++)      /* was k=1 */
 {
  strcpy(temp,string);

  for(j='a';j<='z';j++)
  {
   temp[k]=(char)j;
   for(i=0;i<nodc;i++)
   {
    if(floaded(spellp,i))
    {
     if(findwords(temp,fobject(spellp,i),&words,&flags,fdomain(spellp,i,file)))
     {
      do
      {
       addword(words.string,guessdc,ddomain);
       spellp=(spellstr*)fob_find(spellk,file);
      } while(findnextword(temp,fobject(spellp,i),
                                  &words,&flags,fdomain(spellp,i,file))!=0);
     }
    }
   }
  }
 }


 flags=0;

 if(len>MSPLIT)
 {
  strcpy(temp,string);
  temp[MSPLIT]=0;

  for(i=0;i<nodc;i++)
  {
   if(floaded(spellp,i))
   {
    findwords(temp,fobject(spellp,i),&words,&flags,fdomain(spellp,i,file));
    missingletter(string,fobject(spellp,i),fdomain(spellp,i,file),&words);
    spellp=(spellstr*)fob_find(spellk,file);
   }
  }
 }

}




/* make guesses for word */

static void makeguess(char * string,filestr * file)
{
/* strcpy(guessit,string); */
 trashdc(&guessdc,ddomain);
 createdc(&guessdc,ddomain);
 makeguess2(string,file);
}


/*  spell check replace */

os_error * checkreplace(char * with)
{
 findstr find;

 memset(&find,0,sizeof(findstr));
 find.xcase=3;
 xzstrncpy(find.r,with,sizeof(find.r));

 return(freplace(&find));
}


/* try to add leading cap words as all lower case */

static os_error * processword(char * buff,int buffsize,char * p)
{
	os_error * err;
 int        uc;
 int        lc;
 int        fuc;
 char     * result;

 err=expandmacrostring(p,&result,0);
	if(!err)
	{
  spstripstring(buff,result,buffsize);
  expandmacrostringfinit(&result);

  wordstats(buff,&uc,&lc,&fuc);
  if(uc==1 && fuc) buff[0]=(char)riscos_tolower(buff[0]);
	}

	return(err);
}


os_error * checkaddword(char * p,int dn)
{
	os_error * err;
 char       buff[64];
 int        spellk;
 spellstr * spellp;
 int        index;
 char     * result;

 /* processword(buff,p); */

 err=expandmacrostring(p,&result,0);
	if(!err)
	{
  spstripstring(buff,result,sizeof(buff));
  expandmacrostringfinit(&result);

  spellk=checkfile->hdr.spell;
  spellp=(spellstr*)fob_find(spellk,checkfile);

  if(dn>=0 && dn<spellp->nodc)
  {
   index=spellp->spdict[dn].index;
 
   if(spellp->spdict[dn].embedded) addword(buff,index,checkfile->domain);
   else
   {
    dtable[index].modded|=addword(buff,dtable[index].dict,ddomain);
   }

   makeguess(buff,checkfile); /* possibly not guessing the same thing here */
                             /* cf save first guess string in old program */
  }
	}
 return(err);
}



/* argument is a string stripped of smart quotes and soft hyphens */
/* assumes true string is held in edstring                        */
/* return 0 if gone past end of visible text                      */

static os_error * spellerror(char * string,vector * s,
                               int soffset,int eoffset,int * code)
{
 os_error * err;
 filestr  * file;
 int        valid;

 file=s->file;

 err=validfindzone(s,&valid,soffset,eoffset);
 if(!err)
 {
  if(valid)
  {
   err=undostart(file);
   if(!err)
   {
    setfindzone(checkview);
    makeguess(string,file);
    opencheck(*code,string,checkview);

    undoend(file);
   }
  }
  else
  {
   *code=SPCHKEOT;
  }
 }

 return(err);
}




int followingalpha(vector * s,int offset)
{
 int    c;
 int    bits;
 char * p;


 while(1)
 {
  c=*(p=txptr(s->textsrc.sourcep,offset));
  bits=codex[c];

  switch(c)
  {
      case EOT: 
               return(0);

      case SNO:
               break;

   case TABSEQ: 
               return(0);

   case SPACESEQ:
                 if(spaceisdelim(p)) return(0);
                 break;

   case MACSEQ: 
               return(0);
  
       default:
               if((c>64 && c<91) || (c>96 && c<123) || c>191) return(1);
               else return(0);
  }

  offset+=(bits & CODELEN);

 }
 return(0);
}




/*

The rules for capitalization are as follows:

Any word may appear in all capitals, as in headings.

Any word that is in the dictionary in all-lowercase form may appear
either in lowercase or capitalized (as at the beginning of a sentence).

Any word that has "funny" capitalization (i.e., it contains both cases
and there is an uppercase character besides the first) must appear
exactly as in the dictionary, except as permitted by rule (1).
If the word is acceptable in all-lowercase, it must appear thus in a
dictionary entry.

*/

static spellstr * xspellp;
static int        xspellnodc;


static int spellcheckwordsub(char * string,filestr * file)
{
 word       words;
 int        i;
 int        flags;

 int        uch;
 int        lch;
 int        fuch;

 int        ucs=0;
 int        lcs=0;
 int        fucs=0;
 int        sets;

 int        shift;
 dictstr    dp;


 flags=0x20000;
 sets=0;



 for(i=0;i<xspellnodc;i++)
 {
  if(floaded(xspellp,i))
  {
   if(findword(string,fobject(xspellp,i),&words,
                                         &flags,fdomain(xspellp,i,file)))
   {
    do
    {
     if(!(flags & 0x1)) return(1);  /* case matched */

     if(!sets) {wordstats(string,&ucs,&lcs,&fucs);sets=1;}

     if(!lcs)  return(1);   /* any word may appear in all caps */

     shift=xgetscanstring(words.string);

     dp=((odictstr*)ob_find(fobject(xspellp,i),fdomain(xspellp,i,file)))->dict;
     shift=shift-(int)spcharbuffer(dp.words,fdomain(xspellp,i,file),0);
     words.woffset=shift;

     wordstats(words.string,&uch,&lch,&fuch);

     if(!uch) /* if hit mixed case, then fail */
     {
      /*  hit was all lower  */
      /*  if search all lower or first upper OK */
      if(!ucs || (fucs && ucs==1)) return(1);
     }
    } while(findnextword(string,fobject(xspellp,i),
                                     &words,&flags,fdomain(xspellp,i,file)));
   }
  }
 }

 return(0);
}



/* wrapped up spell check, handles multiple file dictionaries */

static int spellcheckword(char * string1,filestr * file)
{
 char   string[64];
 char   string2[64];
 int    i;
 int    j;
 int    len;
 int    seenhyphen;
 int    block[4];


 if(spellcheckwordsub(string1,file)) return(1);


 /* strip off apostrophe s's */

 strcpy(string,string1);
 len=strlen(string);
 if(len>2 && string[len-2]=='\'' && string[len-1]=='s')
 {
  string[len-2]=0;
  if(spellcheckwordsub(string,file)) return(1);
 }

 /* sort out hyphenated words */

 len=strlen(string)+1;
 seenhyphen=0;
 j=0;
 for(i=0;i<len;i++)
 {
  if(string[i]=='-' || (!string[i] && seenhyphen))
  {
   /* spell check from 0 to j */
   if(j)
   {
    string2[j]=0;
    if(!spellcheckwordsub(string2,file))
    {
     seenhyphen=0;
     break;
    }
    j=0;
    seenhyphen=1;
   }
  }
  else
  {
   string2[j]=string[i];
   j++;
  }
 }

 if(!seenhyphen)
 {
  block[0]=0;
  block[1]=0;
  block[2]=(int)string;

  event(EVENT_SPELLCHECK,file,(int)block);

  return(block[0]);
 }

 return(seenhyphen);
}




static int spellcheckdouble(char * string,char * string1,filestr * file)
{
 return(cstrcmp(string,string1));
 USE(file);
}




int xcheckword(int fp)
{
 return(spellcheckwordsub(stringptr(stack[fp+2]),(filestr*)stack[fp]));
}



#define CKNDBLE 0x1

																														 
static os_error * checknextsub(vector * s,int size,int flags,
                                          checkfn check,int * code)
{
 os_error * err;
 int        c;
 int        offset;
 int        soffset;
 int        noffset;
 int        boffset;
 int        poffset;
 int        inword;
 int        inword1;
 char       string[64];
 char       string1[64];
 int        xoffset;
 int        bits;
 filestr *  file;
 char    *  p;
 int        seennonwhite;


 file=s->file;


 err=fob_lock((fobjptr)&xspellp,file->hdr.spell,file);
 if(!err)
 {
  xspellnodc=xspellp->nodc;


  soffset=offset=boffset=poffset=s->textsrc.offset;
  xoffset=offset+2048;
  inword=inword1=0;
  seennonwhite=0;
  *code=SPCHKOK;

  if(flags & CKNDBLE)
  {
   settospw(s);
   soffset=offset=poffset=s->textsrc.offset;
  }


  while(1)
  {
   c=*(p=txptr(s->textsrc.sourcep,offset));
   bits=codex[c];
   noffset=offset+(bits & CODELEN);

   if(c==SNO) 
   {

   }
   else
   if((c>64 && c<91) || (c>96 && c<123) || c>191) /* alpha character */
   {
    if(inword<31)
    {
     string[inword++]=(char)c;
    }
   }
   else
   if(c==LIGFL || c==LIGFI)
   {
    if(inword<30)
    {
     string[inword++]='f';
     string[inword++]=(c==LIGFL)?'l':'i';
    }
   }
   else
   if(c==LIGOE)
   {
    if(inword<30)
    {
     string[inword++]='O';
     string[inword++]='E';
    }
   }
   else
   if(c==LIGoe)
   {
    if(inword<30)
    {
     string[inword++]='o';
     string[inword++]='e';
    }
   }
   else
   if(c>47 && c<58 && inword) /* its a number after alpha */
   {
    if(inword<31)
    {
     string[inword++]=(char)c;
    }
   }
   else
   if(c==DCHYPH)
   {


   }
   else
   if(c==SPACESEQ && !spaceisdelim(p))
   {


   }
   else
   if((c=='\'' || c==145 || c=='-' || c==NBHYPH) && 
                         inword && followingalpha(s,noffset))
   {
    if(c==145) c='\'';
    if(c==NBHYPH) c='-';
    if(inword<31)
    {
     string[inword++]=(char)c;
    }
   }
   else
   {
    if(inword)
    {
     string[inword]=0;

     if(soffset>=boffset && inword>=spminlength)
     {
      if(!spellcheckword(string,file)) 
      {
       *code=SPCHKERR;
       if(check) err=check(string,s,soffset,offset,code);
       if(*code) break;
      } 

      if(flags & CKNDBLE)
      {
       if(soffset!=poffset && inword==inword1 && !seennonwhite)
       {
        if(!spellcheckdouble(string,string1,file))
        {
         *code=SPCHKDBL;
         if(check) err=check(string,s,soffset,offset,code);
         if(*code) break;
        }
       }
      }
     }

     inword1=inword;
     strcpy(string1,string);
     poffset=soffset;
     seennonwhite=0;
     inword=0;
    }

    // often a problem if repeated words separated by new line etc.
    if(c!=SPACE && c!=NBSPACE && c!=SPACESEQ && c!=TABSEQ) seennonwhite=1;

    if(c==EOT)
    {
     *code=SPCHKEOT;
     break;
    }

    soffset=offset+(bits & CODELEN);

    if(size)
    {
     if((soffset-boffset)>=size)
     {
      *code=SPCHKOK;
      break;
     }
    }

    if(soffset>xoffset)
    {
     xoffset=soffset+2048;
//     if(bbc_inkey(0)==27)
     if(akbd_pollesc())
     {
      *code=SPCHKESC;
      break;
     }
    }
   }

   offset=noffset;
  }

  fob_unlock((fobjptr)&xspellp,file);
 }
 return(err);
}




static os_error * checker(char * string,vector * s,
                                        int soffset,int eoffset,int * code)
{
 spellerror(string,&find1,soffset,eoffset,code);
 return(NULL);
 USE(s);
}



static os_error * checknext(int size,int flags,checkfn check,int * codep)
{
 os_error * err;
 int        code;
 vector     s;
 int        eof;

	err=NULL;

 hourglasson();

 code=0;

 while(1)
 {
  s=find1;

  err=txlock(&s.textsrc,s.file);
  if(!err)
  {
   err=checknextsub(&s,size,flags,check,&code);
   txunlock(&s.textsrc,s.file);
  }

  if(checkdoc && code==SPCHKEOT)
  {
   nextstory(&s,&eof);
   if(eof) break;
   clearfind();
   saveinitfind(&s);
  }
  else break;
 }

 hourglassoff();

 if(!err && (code==SPCHKEOT || code==SPCHKESC) && !wasoneshot) 
 {
  if(code==SPCHKEOT) werr(WERRMSG,"%s",checkisopen()?"{SP09}":"{SP04}");
  err=checkfinish();        /* No spelling errors! */
  code=0;
 }

 *codep=code;

 return(err);
}




os_error * checkcontinue(void)
{
 os_error * err;
 int        marked;
 vector     s;
 int        code;

 if(wasoneshot)
 {
  return(checkfinish()); 
 }

 marked=zone && findzone;

 if(marked)
 {
  findstep();
 }
 else
 {
  s=act;
  err=txlock(&s.textsrc,s.file);
  settospw(&s);
  txunlock(&s.textsrc,s.file);
  saveinitfind(&s);
 }

 err=checknext(0,doublewords?CKNDBLE:0,checker,&code);

 return(err);
}



os_error * checkignoreword(char * p)
{
 os_error * err;
 char       buff[64];
 int        spellk;
 spellstr * spellp;
 int        i;
 int        dict;
 int        code;

 err=processword(buff,sizeof(buff),p);
	if(!err) err=fob_lock((fobjptr)&xspellp,checkfile->hdr.spell,checkfile);
 if(!err)
 {
  xspellnodc=xspellp->nodc;
  code=spellcheckword(buff,checkfile);
  fob_unlock((fobjptr)&xspellp,checkfile);

  if(!code)
  {
   spellk=checkfile->hdr.spell;
   spellp=(spellstr*)fob_find(spellk,checkfile);

   for(i=0;i<spellp->nodc;i++)
   {
    if(spellp->spdict[i].ignore) break;
   }

   if(i>=spellp->nodc)
   {
    err=createdc(&dict,checkfile->domain);

    cprintf("createdc %d",dict);

    if(!err)
    {
     err=fob_change(spellk,checkfile,sizeof(spellstr)+(i+1)*sizeof(spdictstr),
                                                       (fobjptr)&spellp);
     memset(&spellp->spdict[i],0,sizeof(spdictstr));
     tsprintf(DCNAMELEN,spellp->spdict[i].name,"{SPIG}");
     spellp->spdict[i].index=dict;
     spellp->spdict[i].ignore=1;
     spellp->spdict[i].embedded=1;
     spellp->nodc++;
    }
   }
  
   if(!err)
   {
    spellp=(spellstr*)fob_find(spellk,checkfile);
    addword(buff,spellp->spdict[i].index,checkfile->domain);
   }
  }
 }

 return(err);
}



os_error * checkfinish(void)
{
 os_error * err;
 int        result;

 err=NULL;

 if(spchanges())
 {
  confirmparent(checkview->handle,CONYN,&result,"{SP05}"); /* Dictionaries changed. Retain changes? */

  if(result==1)     
  {     
   err=spsavechanges();  /* stash stuff  */
  }
  else
  {
   err=spscrapchanges();
  }
 }

 if(!err)
 {
  trashdc(&guessdc,ddomain);
  err=closecheck();
 }

 return(err);
}




char maindictionary[DCNAMELEN]="MainDict";


void setmaindictionary(int fp)
{
 xstrncpy(maindictionary,stringptr(stack[fp]),DCNAMELEN);
}


char userdictionary[DCNAMELEN]="UserDict";

void setuserdictionary(int fp)
{
 xstrncpy(userdictionary,stringptr(stack[fp]),DCNAMELEN);
}


static os_error * checkfiledc(filestr * file)
{
 os_error * err;
 int        dcno;
 int        i;
 int        k;
 int        n;
 int        spellk;
 spellstr * spellp;
 int        nodc;
 int        realn;

 spellk=file->hdr.spell;
 spellp=(spellstr*)fob_find(spellk,file);

 err=NULL;

// cprintf("nodc %d ",spellp->nodc);

 if(!spellp->nodc || spellp->spdict[0].ignore)
 {
  dcno=finddc(maindictionary);

  if(dcno!=-1)
  {
   err=dcaddload(dcno,0,1,file);
  }

  if(!err)
  {
   dcno=finddc(userdictionary);
   if(dcno!=-1)
   {
    err=dcaddload(dcno,1,0,file);
   }
  }
 }


 if(!err)
 {
  spellp=(spellstr*)fob_find(spellk,file); /* everything just moved */

  n=realn=0;
  nodc=spellp->nodc;

  for(i=0;i<nodc;i++)
  {
   spellp=(spellstr*)fob_find(spellk,file); /* everything just moved */

   if(!spellp->spdict[i].ignore)
   {
    realn++;
 
    if(!spellp->spdict[i].embedded)
    {
     k=spellp->spdict[i].index;
     if(!dtable[k].loaded)
     {
      err=loaddcn(k);
      if(err) break;
     }

     if(dtable[k].loaded) n++;
    }
    else n++;
   }
  }

  if(!err)
  {
   if(!realn)
   {
    err=geterror(ESP02); /* No dictionaries loaded for this document */
   }
  }
 }

 return(err);
}



/* check current source           */
/* void checkstory(int fromcaret) */

os_error * checkstory2(int fromcaret)
{
 os_error * err;
#ifdef _DEBUG
 int        timex=clock();
#endif
 vector     s1;
 int        code;

 err=NULL;

 if(act.valid && act.file==menufile)
 {

  err=checkfiledc(act.file);
  if(!err)
  {
   s1=act;
   checkfile=s1.file;
   checkview=menuview;

   err=txlock(&s1.textsrc,s1.file);
   if(fromcaret) settosow(&s1);
   else          settosot(&s1);
   txunlock(&s1.textsrc,s1.file);

   wasoneshot=0;
   checkdoc=0;

   clearfind();
   saveinitfind3(&act,&s1,&s1);
   err=checknext(0,doublewords?CKNDBLE:0,checker,&code);

#ifdef _DEBUG
  cprintf("time=%d",(clock()-timex)/100);
#endif
  }
 }

 return(err);
}


void checkstory(int fp)
{
	zreport(checkstory2(stack[fp]));
}


void checkdocument(int fp)
{
 os_error * err;
 vector     s;
 int        eof;
 int        code;

 err=NULL;

 err=checkfiledc(menufile);
 if(!err)
 {
  firststory(menuview->branch,menufile);
  nextstory(&s,&eof);
  if(!eof)
  {
   checkfile=menufile;
   checkview=menuview;

   wasoneshot=0;
   checkdoc=1;

   clearfind();
   saveinitfind3(act.valid?&act:&s,&s,&s);
   err=checknext(0,doublewords?CKNDBLE:0,checker,&code);
  }
 }

 zreport(err);

 USE(fp);
}










static int spellpending;


/* check current word */

void checkword(int fp)
{
 os_error * err;
 vector     s1;
 vector     s2;
 int        code;
 int        size;

 err=NULL;

 if(act.valid && act.file==menufile)
 {
  err=checkfiledc(act.file);
  if(!err)
  {
   s2=act;
   checkfile=s2.file;
   checkview=menuview;

   err=txlock(&s2.textsrc,s2.file);

   if(spellpending) settospw(&s2);
   else             settosow(&s2);

   s1=s2;
   settoeow(&s2);
   txunlock(&s2.textsrc,s2.file);

   wasoneshot=1;
   checkdoc=0;

   if((size=(s2.textsrc.offset-s1.textsrc.offset))>0)
   {
    clearfind();
    saveinitfind3(&act,&s1,&s1);
    err=checknext(size,0,checker,&code);

    if(!err && (code==SPCHKOK || code==SPCHKEOT)) sxbeep(SPOKBEEP,0,0);
   }
  }
 }

 zreport(err);

 USE(fp);
}






void spclearpend(void)
{
 spellpending=0;
}


/* used for continuous spell checking */

void checkprevword(vector * v)
{
 os_error * err;
 vector     s1;
 int        code;
 int        size;

 s1=*v;
 checkfile=s1.file;
 checkview=caretview;

 err=checkfiledc(checkfile);
 if(!err)
 {
  err=txlock(&s1.textsrc,s1.file);
  settospwsp(&s1);
  txunlock(&s1.textsrc,s1.file);

  wasoneshot=1;
  checkdoc=0;

  if((size=(v->textsrc.offset-s1.textsrc.offset))>0)
  {
   clearfind();
   saveinitfind1(&s1);

   err=checknext(size,0,NULL,&code);
   if(!err && code)
   {
    sxbeep(SPERRBEEP,0,0);
    spellpending=1;
   }
  }
 }

 report(err);   /* NB not zreport() - not called from a script */
}



int contcheck(filestr * file)
{
 int        spellk;
 spellstr * spellp;

 spellk=file->hdr.spell;
 spellp=(spellstr*)fob_find(spellk,file);

 return(spellp->continuous);
}


int getcheck(int fp)
{
 return(contcheck(menufile));
 USE(fp);
}


void setcheck(int fp)
{
 int        spellk;
 spellstr * spellp;
 filestr  * file=menufile;

 spellk=file->hdr.spell;
 spellp=(spellstr*)fob_find(spellk,file);
 spellp->continuous=stack[fp];
}



os_error * setspellerrorx(viewstr * view,int spellerrors)
{
 os_error * err;

 err=NULL;

 if(spellerrors)
 {
  err=checkfiledc(view->file);
  if(!err) view->data.spell=1;
  else     view->data.spell=0;
 }
 else
 {
  view->data.spell=0;
 }

 return(err);
}


int getspellerrors(int fp)
{
 return(menuview->data.spell);
 USE(fp);
}


void setspellerrors(int fp)
{
 if(menuview->data.spell!=(unsigned)stack[fp])
 {
  setspellerrorx(menuview,stack[fp]);
  refreshview(menuview);
  updateviewdata(menuview);
 }
}



/****************************************************************************/

static int  * splmax;
static int ** splerr;
static int    spln;

#define SPLCHUNK 16

static os_error * linecheck(char * string,vector * s,
                                        int soffset,int eoffset,int * code)
{
 os_error * err;

 err=NULL;

 if(spln>=*splmax) 
 {
  err=srealloc((flex_ptr)splerr,(SPLCHUNK+(*splmax))*sizeof(int));
  *splmax+=SPLCHUNK-4;
 }

 if(!err)
 {
  *code=SPCHKOK;
  (*splerr)[spln++]=soffset;
  (*splerr)[spln++]=eoffset;
 }

 return(err);
 USE(s);
 USE(string);
}



os_error * spchkline(vector * s,int size,int ** errors,int * max)
{
 int code;

 splmax=max;
 splerr=errors;
 spln=0;

 checknextsub(s,size,0,linecheck,&code);

 (*errors)[spln]=-1;

 return(NULL);
}


