/*->h.bits */


extern int  cstrcmp(char * first,char * second);
extern int  cstrncmp(char * first,char * second,int n);
extern int  xcstrncmp(char * first,char * second,int n);


int xstrncmp22(unsigned short * first,unsigned short * second,int n);

extern int  cstrmatch(char * first,char * second,int n);


extern void *bnearest(const void *key,void *base,size_t nmemb,size_t size,
                                  int (*compar)(const void *, const void *));

extern void *bnearest2(const void *key,void *base,size_t nmemb,size_t size,
                                  int (*compar)(const void *, const void *),int * reult);

extern TCHAR * memstring(int size);

#define UNQUOTE160	0x1
extern char * unquotechar(int ch,char * w,int flags);
extern char * unquotec(char * input,char * output);
extern char * unquoteblock(char * input,int size,char * output);
extern char * quotec(char * input,char * output);

extern char * xstrcpy(char *s1, const char *s2);
extern char * xstrncpy(char *s1,char *s2,int n);

extern char * xzstrncpy(char *s1,char *s2,int n);

extern os_error * xzstrncpye(char *s1,char *s2,int n);
extern os_error * xzstrncpye21(char *s1,char *s2,int n);
extern os_error * xzstrncpye22(unsigned short *s1,unsigned short *s2,int n);
extern os_error * xzstrncpyu(TCHAR *s1,TCHAR *s2,int n);


extern os_error * xsprintf(int maxlen,int * used,char * string,char * format, ...);
extern os_error * xsprintf2(int maxlen,int * used,wchar_t * string,wchar_t * format, ...);
extern os_error * xsprintfu(int maxlen,int * used,TCHAR * string,TCHAR * format, ...);



extern void   xstripstr(char * p,int len);
extern void   xstripstr32(char * p);

extern int    xstrdblecount(char * string);

char *xstristr(char *haystack,char *needle);

extern int    xstrcount(char * string,int ct);
extern void   xstrislice(char * string,char * search,char * replace);
extern void   xstrslice(char * string,char * search,char * replace);
extern void   xstrmap(char * string,int f,int r);

extern os_error * stralloc(char * str,char ** alloc);

extern size_t ustrlen(TCHAR * p);
extern int  xstrlen(char *s);
extern size_t xstrlen2(unsigned short *s);


extern TCHAR * ustrcpy(TCHAR * p1,TCHAR * p2);
extern int ustrcmp(const char * p1, const char * p2);
extern TCHAR * ustrcat(TCHAR * p1,const TCHAR * p2);


extern os_error * gstrans(char * d,int maxlen,char * s,int * len);


extern void     * xmapsearch(void * record,void * handle);
extern os_error * xmapadd(void * record,void ** handle);
extern os_error * xmapadd2(void * record,void ** handle,void ** insert);
extern os_error * xmapinit(void ** handle,int size,int chunk,int (*compar)(void *, void *));
extern os_error * xmapfinit(void ** handle);
extern int        xmapcount(void * handle);
extern void     * xmaprecord(void * handle,int i);
extern os_error * xmaprem(void * record,void * handle);
extern void     * xmapnext(void * record,void * handle);



extern os_error * xsetadd(int key,void ** handle);
extern int        xsetsearch(int key,void * handle);
extern int        xsetmember(void * handle,int i);
extern int        xsetcount(void * handle);
extern os_error * xsetfinit(void ** handle);
extern os_error * xsetinit(void ** handle,int chunk);


extern os_error * stringheapfinit(void ** handle);
extern os_error * stringheapinit(void ** handle,int chunk);
extern os_error * stringheapadd(void ** handle,char * string,int * offset);
extern char     * stringheapstring(void * handle,int offset);
extern os_error * stringheapsize(void ** handle,int len,int * offset);
extern int        stringheaplength(void * handle);

extern int    atoix(char * p,int * len);
extern int    getint(char * string,int * len);
extern int    isnumberstring(char * p);
extern int    xftoa(double f,char * string,int max,int dp);


#define ISUNICODE 0xF
#define ISUNICODEREVERSE	0x10
#define ISUNICODEBOM	0x20


#define ISUNICODEUTF8	 0x1
#define ISUNICODEUTF16	0x2
#define ISUNICODEUTF32	0x3



extern int isunicode(char * buff,int n);


extern os_error * wide2char(wchar_t * source,int slen,char * dest,int dlen);
extern os_error * char2wide(char * source,int slen,wchar_t * dest,int dlen);

